Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000902bareos-core[All Projects] storage daemonpublic2018-01-31 18:142018-07-18 17:17
Reporterjoergs 
Assigned To 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformLinuxOSRHELOS Version7
Product Version17.2.4 
Target VersionFixed in Version17.2.7 
Summary0000902: bareos-storage-droplet: immediate restore fails, works after some seconds
DescriptionWhen using the bareos-storage-droplet, it happens that even marks a backup job as finished successfully, an immediate restore fails, because not all data has been written using the droplet backend.
Additional InformationWorkaround:
  * wait some seconds after a backup job before trying to restore it
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships
related to 0000892closed bareos-storage-droplet: if configured with unreachable S3 system, backup will terminate with OK 
child of 0000966resolvedjoergs Release bareos-17.2.7 

-  Notes
(0003076)
joergs (administrator)
2018-07-18 17:16

Fixed.

Script
#!/bin/bash

RESULT=$(bconsole <<< "run job=backup-s3-fd level=Full yes")
JOBID=$(sed -r -n -e 's/Job queued. JobId=(.*)/\1/p' <<< "$RESULT")
echo "jobid=\"$JOBID\""
bconsole <<< "wait jobid=$JOBID"
bconsole <<< "restore jobid=$JOBID all done yes where=/tmp/$JOBID/"

do run successfully.
(0003077)
joergs (administrator)
2018-07-18 17:17

Will also be fixed in master, as soon as bareos-17.2 is merged into it.

- Issue History
Date Modified Username Field Change
2018-01-31 18:14 joergs New Issue
2018-01-31 18:15 joergs Relationship added related to 0000892
2018-06-19 18:33 joergs Assigned To => joergs
2018-06-19 18:33 joergs Status new => assigned
2018-06-19 18:34 joergs Note Added: 0003046
2018-06-19 18:34 joergs Assigned To joergs =>
2018-06-19 18:34 joergs Status assigned => confirmed
2018-06-19 18:41 joergs Relationship added child of 0000966
2018-06-19 18:43 joergs Note Deleted: 0003046
2018-07-18 17:16 joergs bareos-master: impact => yes
2018-07-18 17:16 joergs bareos-master: action => will care
2018-07-18 17:16 joergs bareos-17.2: impact => yes
2018-07-18 17:16 joergs bareos-17.2: action => fixed
2018-07-18 17:16 joergs bareos-16.2: impact => no
2018-07-18 17:16 joergs bareos-15.2: impact => no
2018-07-18 17:16 joergs bareos-14.2: impact => no
2018-07-18 17:16 joergs bareos-13.2: impact => no
2018-07-18 17:16 joergs bareos-12.4: impact => no
2018-07-18 17:16 joergs Note Added: 0003076
2018-07-18 17:16 joergs Status confirmed => resolved
2018-07-18 17:16 joergs Fixed in Version => 17.2.7
2018-07-18 17:16 joergs Resolution open => fixed
2018-07-18 17:16 joergs Assigned To => joergs
2018-07-18 17:17 joergs Assigned To joergs =>
2018-07-18 17:17 joergs Note Added: 0003077


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker